clear; close all;
disp(' n = 20;');
disp(' s = .02;');
disp(' x = rand(n,1)-0.5;');
disp(' y = rand(n,1)-0.5;');
disp(' h = plot(x,y,''.'');');
disp(' axis([-1 1 -1 1])');
disp(' axis square');
disp(' grid off');
disp(' set(h,''EraseMode'',''xor'',''MarkerSize'',18);');
disp(' title(''Brownsche Bewegung'');');
disp(' xlabel(''Abbruch mit [Strg][C] im MATLAB-Befehlsfenster'');');
disp(' while 1');
disp('   drawnow');
disp('   x = x + s*randn(n,1);');
disp('   y = y + s*randn(n,1);');
disp('   set(h,''XData'',x,''YData'',y)');
disp('end');
disp('Abbruch mit [Strg][C] im MATLAB-Befehlsfenster');
disp('Start mit Eingabetaste');
pause
n = 20;
s = .02;
x = rand(n,1)-0.5;
y = rand(n,1)-0.5;
h = plot(x,y,'.');
axis([-1 1 -1 1])
axis square
grid off
set(h,'EraseMode','xor','MarkerSize',18);
title('Brownsche Bewegung');
xlabel('Abbruch mit [Strg][C] im MATLAB-Befehlsfenster');
while 1
   drawnow
   x = x + s*randn(n,1);
   y = y + s*randn(n,1);
   set(h,'XData',x,'YData',y)
end
