clear; close all;
disp(' % Zunchst wird die Matrix A und der Vektor b eingegeben: ');
disp(' A = [2 -1 0; -1 3 -1; 0 -1 2]');
A = [2 -1 0; -1 3 -1; 0 -1 2]
disp(' b = [1 8 -5]''');
b = [1 8 -5]'
disp(' % Zuerst das Gau-Jacobi-Verfahren:');
disp(' % Die Matrix A wird in eine Diagonalmatrix, eine obere und eine untere');
disp(' % Dreiecksmatrix ohne Diagonale zerlegt: A = D - (L+R)');
disp(' D = diag(diag(A));');
D = diag(diag(A));
disp(' L = -(tril(A)-D);');
L = -(tril(A)-D);
disp(' R = -(triu(A)-D);');
R = -(triu(A)-D);
disp(' % Durch Umformen von Ax=b kommt man zu: x = inv(D)*(L+R)*x + inv(D)*b');
disp(' % Hier wird nun der Startvektor eingegeben und iteriert.');
disp(' x = zeros(3,1);');
x = zeros(3,1);
disp('Weiter mit Return');
pause
disp('');
disp(' for k = 1:8');
disp(' 	k = k');
disp(' 	x = inv(D)*(L+R)*x + inv(D)*b');
disp('	disp(''Weiter mit Return'');');
disp(' 	pause');
disp(' end');
for k = 1:8
   k=k
   x = inv(D)*(L+R)*x + inv(D)*b
	disp('Weiter mit Return');
 	pause
end
disp(' % Man kann vermuten, dass die Lsung [2 3 -1]'' lautet.');
disp('Weiter mit Return');
pause
disp('');
disp(' % Nun das Gau-Seidel-Verfahren:');
disp(' % Die Matrix A wird auch in eine Diagonalmatrix, eine obere und eine untere');
disp(' % Dreiecksmatrix ohne Diagonale zerlegt: A = D - L - R');
disp(' % Hier wird Ay=b anders umgeformt: y = inv(D-L)*R*y + inv(D-L)*b');
disp(' % Der Startvektor ist wieder der Nullvektor:');
disp(' y = zeros(3,1);');
y = zeros(3,1);
disp('');
disp(' for k = 1:8');
disp(' 	k = k');
disp(' 	y = inv(D-L)*R*y + inv(D-L)*b');
disp('	disp(''Weiter mit Return'');');
disp(' 	pause');
disp(' end');
for k = 1:8
   k=k
   y = inv(D-L)*R*y + inv(D-L)*b
   disp('Weiter mit Return');
 	pause
end
disp(' % Dieses Verfahren konvergiert schneller und besttigt die Vermutung, ');
disp(' % dass die Lsung [2 3 -1]'' lautet.');
disp(' z = A\b');
z = A\b
disp(' % Die Ergebnisse zum Vergleichen:');
disp(' Loesungen = [x y z]');
Loesungen = [x y z]
pause
exit
