clear; close all;
disp(' % Zunchst werden die theta- und r-Werte eingegeben:');

disp(' theta = [0.88 1.1 1.42 1.77 2.14];');

theta = [0.88 1.1 1.42 1.77 2.14];
disp(' r = [3.0 2.3 1.65 1.25 1.01];');

r = [3.0 2.3 1.65 1.25 1.01];
disp('');
disp(' % Um das Problem lsen zu knnen mu zuerst Linearisiert werden.');
disp(' % r = beta + e*(r*cos(theta)) wird umgeformt zu: cos(theta) = 1/e - beta/e*1/r');
disp(' % Man hat also eine Funktion der Form: y = a + b*1/r');
disp(' % Dabei ist y = cos(theta)');
disp(' y = cos(theta)');
y = cos(theta)
disp(' % Nun wird eine Matrix der Form [1 1/r''] gebraucht.');

disp(' A = [ones(5,1) 1./r'']');

A = [ones(5,1) 1./r']
disp('Weiter mit Return');
pause
disp('');
disp(' % Nun werden die Koeffizienten x = [a b]'' mit der Methode der kleinsten');
disp(' % Quadrate berechnet.');
disp(' AA = A''*A;');
disp(' bb = A''*y'';');
disp(' A1 = [AA bb];');
disp(' X = rref(A1)');
AA=A'*A;
bb=A'*y';
A1=[AA bb];
X=rref(A1)
disp(' % Das System ist eindeutig lsbar.');
disp(' x = AA\bb');
x=AA\bb
disp(' % Jetzt knnen aus a und b die Werte fr e und beta berechnet werden');
disp(' e = 1/x(1)');
e = 1/x(1)
disp('Weiter mit Return');
pause
disp('');
disp(' beta = -x(2)*e');
beta = -x(2)*e
disp(' % Es handelt sich hier also um eine Ellipse.');
disp('');
disp(' % Zunchst werden die angegebenen Werte als rote Punkte gezeichnet.');
disp(' % Dazu wird die Parameterdarstellung gebraucht.');
disp(' x = r.*cos(theta);');
x = r.*cos(theta);
disp(' y = r.*sin(theta);');
y = r.*sin(theta);
disp(' plot(x,y,''ro'');');
plot(x,y,'ro');
disp(' hold on;');
hold on;
disp('');
disp(' % Dann die Umlaufbahn. Dazu werden viel mehr Zwischenwerte gebraucht.');
disp(' tt = linspace(0,2*pi,300);');
tt=linspace(0,2*pi,300);
disp(' % Dann werden die dazugehrigen r-Werte ausgerechnet. Dazu wird die Formel');
disp(' % nach r aufgelst: r = beta/(1 - e*cos(theta)).');
disp(' rr = beta./(1 - e*cos(tt));');
rr = beta./(1 - e*cos(tt));
disp(' % Auch hier braucht man die Parameterdarstellung.');
disp(' xx = rr.*cos(tt);');
xx = rr.*cos(tt);
disp(' yy = rr.*sin(tt);');
yy = rr.*sin(tt);
disp(' plot(xx,yy,''b-'');');
plot(xx,yy,'b-');
disp(' axis equal;');
axis equal;
disp('');
disp(' % Jetzt werden noch die Achsen beschriftet:');
disp(' xlabel(''x'')');
disp(' ylabel(''y'')');
disp(' title(''Umlaufbahn'')');
xlabel('x');
ylabel('y');
title('Umlaufbahn');
disp('Weiter mit Return');
pause
disp('');
disp(' Jetzt wird noch berechnet wo der Komet bei theta = 4.6 ist.');
disp(' k = 4.6;');
k = 4.6;
disp(' m = beta/(1 - e*cos(k))');
m = beta/(1 - e*cos(k))
disp(' Das wird als schwarze Raute in die Zeichnung eingetragen.');
disp(' plot(m*cos(k),m*sin(k),''kd'');');
plot(m*cos(k),m*sin(k),'kd');
pause
exit